/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Perfil;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderPerfil implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Perfil perfil = (Perfil) o;

        Listcell lc = new Listcell(perfil.getPerfilId().toString());
        lc.setParent(lstm);

        lc = new Listcell(perfil.getDescperfil());
        lc.setParent(lstm);

        lstm.setAttribute("data", perfil);
    }
}
